libqalculate-2.2.1

Public Member Functions | Protected Attributes | List of all members
QalculateDate Class Reference

## Public Member Functions
| QalculateDate (long int initialyear, int initialmonth, int initialday)
| QalculateDate (long int initialtimestamp)
| QalculateDate (string date_string)
bool | operator> (const QalculateDate &date2) const
bool | operator< (const QalculateDate &date2) const
bool | operator>= (const QalculateDate &date2) const
bool | operator<= (const QalculateDate &date2) const
bool | operator!= (const QalculateDate &date2) const
bool | operator== (const QalculateDate &date2) const
bool | isFutureDate () const
bool | isPastDate () const
void | setToCurrentDate ()
bool | set (long int newyear, int newmonth, int newday)
bool | set (long int newtimestamp)
bool | set (string date_string)
string | toISOString () const
string | toLocalString () const
long int | year () const
long int | month () const
long int | day () const
bool | addDays (long int days)
bool | addMonths (long int months)
bool | addYears (long int years)
int | weekday () const
int | week (bool start_sunday=false) const
int | yearday () const
Number | timestamp () const
Number | daysTo (const QalculateDate &date, int basis=1, bool date_func=true) const
Number | yearsTo (const QalculateDate &date, int basis=1, bool date_func=true) const

## Protected Attributes
long int | i_year
long int | i_month
long int | i_day

The documentation for this class was generated from the following file:

- libqalculate/Calculator.h